Bug 1769551 (CVE-2019-16723) - CVE-2019-16723 cacti: Authentication bypass via graph_json.php request
Summary: CVE-2019-16723 cacti: Authentication bypass via graph_json.php request
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2019-16723
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1769552 1769554
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-06 20:43 UTC by Pedro Sampaio
Modified: 2020-05-05 13:38 UTC (History)
3 users (show)

Fixed In Version: cacti 1.2.7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-07 00:51:12 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2019-11-06 20:43:02 UTC
In Cacti through 1.2.6, authenticated users may bypass authorization checks (for viewing a graph) via a direct graph_json.php request with a modified local_graph_id parameter.

Upstream issue:

https://github.com/Cacti/cacti/issues/2964

Comment 1 Pedro Sampaio 2019-11-06 20:44:21 UTC
Created cacti tracking bugs for this issue:

Affects: epel-all [bug 1769554]
Affects: fedora-all [bug 1769552]

Comment 2 Product Security DevOps Team 2019-11-07 00:51:12 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.